@import url("https://fonts.googleapis.com/css2?family=Viga&display=swap");

body,
html {
  font-family: "Poppins", sans-serif !important;
  background-color: rgb(230, 230, 230) !important;
  overflow-x: hidden;
}

@keyframes hideLoader {
  0% {
    width: 100%;
    height: 100%;
  }

  100% {
    width: 0;
    height: 0;
  }
}

body>div.loader {
  position: fixed;
  background: white;
  width: 100%;
  height: 100%;
  z-index: 1071;
  opacity: 0;
  transition: opacity 0.5s ease;
  overflow: hidden;
  pointer-events: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

body:not(.loaded)>div.loader {
  opacity: 1;
}

body:not(.loaded) {
  overflow: hidden;
}

body.loaded>div.loader {
  animation: hideLoader 0.5s linear 0.5s forwards;
}

/* Three dots Animation */
.loading-animation {
  width: 6px;
  height: 6px;
  border-radius: 50%;
  animation: dots 1s linear infinite alternate;
  position: relative;
  left: -12px;
}

@keyframes dots {
  0% {
    background-color: rgba(100, 100, 100, 1);
    box-shadow: 12px 0px 0px 0px rgba(100, 100, 100, 0.2),
      24px 0px 0px 0px rgba(100, 100, 100, 0.2);
  }

  25% {
    background-color: rgba(100, 100, 100, 0.4);
    box-shadow: 12px 0px 0px 0px rgba(100, 100, 100, 2),
      24px 0px 0px 0px rgba(100, 100, 100, 0.2);
  }

  75% {
    background-color: rgba(100, 100, 100, 0.4);
    box-shadow: 12px 0px 0px 0px rgba(100, 100, 100, 0.2),
      24px 0px 0px 0px rgba(100, 100, 100, 1);
  }
}

/* Navbar */
nav {
  z-index: 100;
}

.navbar {
  transition: all 1.5s ease-in-out;
}

.navbar-brand {
  font-size: 14.8px !important;
  font-family: "Viga", sans-serif;
  display: flex;
  align-items: center;
}

.navbar-nav {
  font-weight: 600;
}

.nav-item a {
  overflow: hidden;
  box-sizing: border-box;
  font-size: 1.3rem;
  margin-bottom: -5px;
}

.navbar-logo {
  width: 90px;
  height: auto;
  margin-right: 10px;
}
.bawah::after {
  content: "";
  display: block;
  border-bottom: 3px solid #f5f5f5;
  width: 65%;
  margin: auto;
  opacity: 0;
  transition: 0.5s;
}

.bawah:hover::after {
  animation: slide 0.3s forwards;
  opacity: 1;
}

.nav-scrolled-text-shadow {
  text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.5);
}

.nav-scrolled {
  background-color: rgb(240, 240, 240);
  box-shadow: 0px 2px 15px 3px rgba(0, 0, 0, 0.2);
  transition: all 1.5s;
}

.navbar-brand,
.nav-item a {
  transition: all 1.5s ease-in;
}

.navbar-toggler,
.navbar-toggler-icon {
  transition: all 1.5s ease-out;
}

@keyframes slide {
  0% {
    transform: translateX(-100px);
  }

  100% {
    transform: translateX(0);
  }
}

/* Jumbotron */


.jumbotron {
  min-height: 90vh;
  /* background-color: rgb(255, 106, 0); */
  background: linear-gradient(to right, #de6b00, #0023a3);
  background-size: cover;
  background-position: center;
  position: relative;
}

.jumbotron::after {
  content: "";
  background: linear-gradient(to top, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.2));
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.jumbotron-text {
  padding-top: 200px;
  text-shadow: 1px 2px 5px rgba(0, 0, 0, 0.7);
  position: relative;
  z-index: 10;
}

.jumbotron-contact .jumbotron-text {
  padding-top: 150px;
}

.jumbotron-text h1 {
  color: #fff;
  font-size: 4.5rem;
  font-weight: 400;
}

.jumbotron-text p {
  color: #cecece;
}

.jumbotron-button {
  position: relative;
  z-index: 1;
}

/* Menu Section */
.menu {
  padding-top: 50px;
  padding-bottom: 50px;
}

.menu-text {
  position: relative;
  z-index: 1000;
}

.menu-title h2 {
  color: #956d57;
  text-shadow: 1px 2px 3px rgba(0, 0, 0, 0.4);
  font-size: 2.5rem;
}

.menu-text h5 {
  text-shadow: 1px 2px 3px rgba(0, 0, 0, 0.2);
  font-weight: 500;
  color: #8e6456;
}

.menu-list {
  background: linear-gradient(to right,
      rgb(120, 50, 25),
      rgb(180, 110, 80),
      rgb(200, 130, 100));
  width: max-content;
  padding: 12px 20px 12px 12px;
  border-radius: 5px 30px 30px 5px;
  color: #fff;
}

.menu-list p,
.menu-list span {
  font-size: 1.5rem;
  font-weight: 600;
}

.menu-list p {
  transition: all 0.3s ease;
}

.menu-list p:hover {
  opacity: 0.6;
  cursor: pointer;
}

.carousel-menu {
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 10px 15px 20px 5px rgba(100, 100, 100, 0.4);
}

.menu-image {
  width: 100%;
  height: 100%;
}

.right-img-menu {
  bottom: -70px;
  right: 0;
  box-shadow: -5px 10px 20px 3px rgba(26, 23, 23, 0.4);
  border-radius: 10px;
  overflow: hidden;
}

.dropdown-menu {
  animation: fadeIn 0.3s forwards;
}

.fade {
  animation: fadeIn 0.5s forwards;
}

.slideIn {
  animation: slideIn 0.5s forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes slideIn {
  0% {
    opacity: 0;
    transform: translateX(-150px);
  }

  100% {
    opacity: 1;
    transform: translateX(0px);
  }
}

/* Styling Visi Misi Menu */
.visi-misi {
  background-color: #f8f9fa; /* Warna latar belakang */
  padding: 50px 0; /* Jarak padding atas dan bawah */
}

.visi-misi-content h2 {
  color: #333; /* Warna teks judul */
  font-size: 24px; /* Ukuran font judul */
}

.visi-misi-content p {
  color: #555; /* Warna teks isi */
}

.visi-misi-content ul {
  list-style-type: disc; /* Jenis daftar (bulet) */
  color: #555; /* Warna teks daftar */
  padding-left: 20px; /* Jarak dari kiri */
}

.visi-misi-content li {
  margin-bottom: 10px; /* Jarak antar item daftar */
}

/* Mengatur tampilan responsif */
@media (max-width: 767px) {
  .visi-misi-content {
    text-align: center; /* Teks menjadi tengah saat layar kecil */
  }

  .visi-misi-content h2 {
    font-size: 22px; /* Ukuran font judul pada layar kecil */
  }
}
/* Akhir Styling Visi Misi Menu */


/* Gallery */
#gallery {
  margin-bottom: 100px;
  padding-top: 50px;
  padding-bottom: 100px;
  background-color: #cecece;
  scroll-margin-top: 70px;
}

.potrait-gallery {
  border: 10px solid #fff;
}

.landscape-gallery img {
  border-radius: 30px;
  border: 10px solid #fff;
  box-shadow: 3px 3px 20px 2px rgba(50, 50, 50, 0.3);
}

.landscape-gallery {
  transition: 0.3s ease;
}

.landscape-gallery:hover {
  opacity: 0.85;
}

/* Reviews */
#reviews {
  scroll-margin-top: 100px;
}

.read-all:hover {
  cursor: pointer;
  opacity: 0.7;
}

.review-box {
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  padding: 20px;
  box-sizing: border-box;
  transition: all 0.3s;
}

.review-box:hover {
  cursor: pointer;
  transform: translateY(-5px);
}

.profile-img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  overflow: hidden;
  margin-right: 10px;
}

.profile-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.profile {
  display: flex;
  align-items: center;
}

.name-user {
  display: flex;
  flex-direction: column;
}

.name-user strong {
  color: #3d3d3d;
  font-size: 1.1rem;
  letter-spacing: 0.5px;
}

.name-user span {
  color: #979797;
  font-size: 0.8rem;
}

.stars {
  color: #f9d71c;
}

.box-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

.customer-comment p {
  font-size: 0.9rem;
  color: #4b4b4b;
}


/* Contact */
.google-map {
  width: 100%;
}

.connect li i {
  width: 24px;
  height: 24px;
  font-size: 24px;
  margin-right: 10px;
  margin-top: 10px;
}

/* Footer */
footer {
  /* background-color: rgb(0, 7, 134); */
  background: linear-gradient(to left, #de6b00, #0023a3);
  padding: 20px;
  text-align: center;
}

/* Scroll Up */
.go-top-btn {
  position: fixed;
  bottom: 15px;
  right: 15px;
  width: 45px;
  height: 45px;
  background-color: #3d3d3d;
  z-index: 9999;
  text-align: center;
  line-height: 50px;
  text-decoration: none;
  border-radius: 10px;
  display: none;
  opacity: 0.7;
}

.go-top-btn i {
  font-size: 24px;
  color: white;
}

/* Quote */
.quote-background {
  background-image: url(../img/WhatsApp\ Image\ 2023-08-31\ at\ 14.03.20.jpeg);
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 222;
}

.quotes {
  margin-top: 100px;
  min-height: 70vh;
  font-size: 4.5rem;
  color: #fff;
  text-shadow: 2px 3px 4px rgba(0, 0, 0, 0.4);
}

.quote {
  font-weight: 400;
}

.credit {
  font-size: 3.5rem;
  font-weight: 200;
}

.quote-background::after {
  content: "";
  background: linear-gradient(to top, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.4));
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -2;
}

.garisbawah {
  margin-top: 25px;
  margin-bottom: 20px;
  height: 3px;
  width: 10%;
  background-color: #f9d71c;
}

/* Responsive */
@media (min-width: 1400px) {
  .right-img-menu {
    bottom: 40px;
    right: 100px;
  }
}

@media (max-width: 991px) {
  .bawah::after {
    display: none;
  }

  .quotes {
    font-size: 3rem;
  }

  .credit {
    font-size: 2.5rem;
  }
}

@media (max-width: 768px) {
  .jumbotron-text {
    padding-top: 150px;
    font-size: 14px
  }

  .jumbotron {
    padding: 100px 0;
    font-size: 18px;
  }

  .jumbotron-text h1 {
    font-size: 20px;
    padding-top: 10px;
  }

  .menu-text {
    margin-top: 0;
  }

  .jumbotron-contact {
    padding-top: 40px;
  }
}

@media (max-width: 500px) {
  .jumbotron-text {
    padding-top: 125px;
  }

  .jumbotron {
    min-height: 90vh;
  }

  .jumbotron-contact {
    min-height: 60vh;
  }

  .footer {
    min-height: 40vh;
  }

  .quote {
    font-size: 2rem;
  }

  .credit {
    font-size: 1.7rem;
  }
}
/* Ganti warna teks link di footer menjadi warna yang Anda inginkan, misalnya hitam */
footer a {
  color: #de6b00; /* Ganti kode warna sesuai keinginan Anda, misalnya hitam (#000) */
  text-decoration: none; 
}

/* Ganti warna teks tautan saat tautan diklik atau dikunjungi */
footer a:hover{
  color: #ffffff; /* Ganti kode warna sesuai keinginan Anda, misalnya merah (#ff0000) */
}
